- [HTTP request](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations.participants/analyzeContent#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations.participants/analyzeContent#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations.participants/analyzeContent#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations.participants/analyzeContent#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations.participants/analyzeContent#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations.participants/analyzeContent#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations.participants/analyzeContent#try-it)

Adds a text (chat, for example), or audio (phone recording, for example) message from a participant into the conversation.

Note: Always use agent versions for production traffic sent to virtual agents. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).

### HTTP request

Choose an endpoint:
global   
`POST https://dialogflow.googleapis.com/v2/{participant=projects/*/conversations/*/participants/*}:analyzeContent`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`POST https://{endpoint}/v2/{participant=projects/*/conversations/*/participants/*}:analyzeContent`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `participant` | `string` Required. The name of the participant this text comes from. Format: `projects/<Project ID>/locations/<Location ID>/conversations/<Conversation ID>/participants/<Participant ID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `participant`: - `dialogflow.participants.analyzeContent` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "replyAudioConfig": { object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/OutputAudioConfig`) }, "queryParams": { object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/QueryParameters`) }, "assistQueryParams": { object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/AssistQueryParameters`) }, "cxParameters": { object }, "requestId": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "textInput": { object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/TextInput`) }, "audioInput": { object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/AudioInput`) }, "eventInput": { object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/EventInput`) }, "suggestionInput": { object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/SuggestionInput`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `replyAudioConfig` | ``object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/OutputAudioConfig`)`` Speech synthesis configuration. The speech synthesis settings for a virtual agent that may be configured for the associated conversation profile are not used when calling participants.analyzeContent. If this configuration is not supplied, speech synthesis is disabled. |
| `queryParams` | ``object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/QueryParameters`)`` Parameters for a Dialogflow virtual-agent query. |
| `assistQueryParams` | ``object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/AssistQueryParameters`)`` Parameters for a human assist query. |
| `cxParameters` | ``object (`https://protobuf.dev/reference/protobuf/google.protobuf#struct` format)`` Additional parameters to be put into Dialogflow CX session parameters. To remove a parameter from the session, clients should explicitly set the parameter value to null. Note: this field should only be used if you are connecting to a Dialogflow CX agent. |
| `requestId` | `string` A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is only idempotent if a `requestId` is provided. |
| Required. The input content. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `textInput` | ``object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/TextInput`)`` The natural language text to be processed. |
| `audioInput` | ``object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/AudioInput`)`` The natural language speech audio to be processed. |
| `eventInput` | ``object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/EventInput`)`` An input event to send to Dialogflow. |
| `suggestionInput` | ``object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/SuggestionInput`)`` An input representing the selection of a suggestion. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/AnalyzeContentResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).